commit:     09e8a0a2b31f9827c7fcabfb759cf51142e09826
Author:     Esteve Varela Colominas <esteve.varela <AT> gmail <DOT> com>
AuthorDate: Mon Nov 15 22:50:28 2021 +0000
Commit:     Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
CommitDate: Tue Nov 16 04:20:15 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=09e8a0a2

net-im/telegram-desktop: Bump to 3.2.4

Signed-off-by: Esteve Varela Colominas <esteve.varela <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/22965
Signed-off-by: Georgy Yakovlev <gyakovlev <AT> gentoo.org>

 net-im/telegram-desktop/Manifest                          |  2 +-
 ...desktop-3.2.0.ebuild => telegram-desktop-3.2.4.ebuild} | 15 +++++++++------
 2 files changed, 10 insertions(+), 7 deletions(-)

diff --git a/net-im/telegram-desktop/Manifest b/net-im/telegram-desktop/Manifest
index 31b5e83da4de..0eed5eaaf5f9 100644
--- a/net-im/telegram-desktop/Manifest
+++ b/net-im/telegram-desktop/Manifest
@@ -1,3 +1,3 @@
 DIST tdesktop-3.0.1-full.tar.gz 37531917 BLAKE2B 
c139501f23c742f76d4acd43def69963413ffafef1be584f13d7359b3c20625def7ec283a981556c795aa4dc5ad2e117e1f8aada28cd4815f66f02510e607435
 SHA512 
6bff6be5f2c0c7a17df61dccc5a3216dcbb95a1c6d3176442c530e2c1b525e6d15079b230d40751f20684da2a1067d4518a9a1ab90d49d1a7338d3e05239d447
 DIST tdesktop-3.1.8-full.tar.gz 38494235 BLAKE2B 
50da0fdfe48f6492dc255c0fdfdb584750fd137ab0f847d226f9f62012ed1c34cc1a597f97735ca6aae1ba7e262562be2c88b92fe22c2868ed2cda437341a1f9
 SHA512 
787c92d6aaad2998d7195f2e1c98eddc6e87c3cb04a0d9ab80ea9a4a2dd1a798004109f8cc1ad82136c511ae191cea5b15cc23cc541ce86ccdb79dbc65367f09
-DIST tdesktop-3.2.0-full.tar.gz 38545930 BLAKE2B 
03816a90ad283d0620964848514ac271a93fc0eba85f11f1945ad04816f3ff6b09de1359836dbf94661f6b744cbc35d3b57d92a7e9a2a04608c4be83a61346c8
 SHA512 
39d45234e5cd24b7fcb7dbb7d7f20baa1f7b74b33f5c50486842fa6c0ce5d94314f05594241b44722f101df3ef78462aac8e1290bf42bfb649f6aa664d2466b5
+DIST tdesktop-3.2.4-full.tar.gz 38537053 BLAKE2B 
d31f354d5efe51b6268eb42a39e1c54af7c3b570534b6f206a7e6bd5cf96555f1c6633b79eda919ffcd25ca38a48d6e297db5a1b071434bbdaddf724068fcb13
 SHA512 
a4651e0af49195f4f3ff15d74a616a5ccd056f15d0448687138947ab0f816b45c05dec81029b59c5e7b5eefed3059618245ad1b3b3f27f894c6accad697ecd94

diff --git a/net-im/telegram-desktop/telegram-desktop-3.2.0.ebuild 
b/net-im/telegram-desktop/telegram-desktop-3.2.4.ebuild
similarity index 91%
rename from net-im/telegram-desktop/telegram-desktop-3.2.0.ebuild
rename to net-im/telegram-desktop/telegram-desktop-3.2.4.ebuild
index 8bf892956dfc..ba438ff664d6 100644
--- a/net-im/telegram-desktop/telegram-desktop-3.2.0.ebuild
+++ b/net-im/telegram-desktop/telegram-desktop-3.2.4.ebuild
@@ -1,11 +1,11 @@
 # Copyright 2020-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
 PYTHON_COMPAT=( python3_{7..10} )
 
-inherit xdg cmake python-any-r1
+inherit xdg cmake python-any-r1 optfeature
 
 DESCRIPTION="Official desktop client for Telegram"
 HOMEPAGE="https://desktop.telegram.org";
@@ -16,12 +16,11 @@ 
SRC_URI="https://github.com/telegramdesktop/tdesktop/releases/download/v${PV}/${
 LICENSE="BSD GPL-3-with-openssl-exception LGPL-2+"
 SLOT="0"
 KEYWORDS="~amd64 ~ppc64"
-IUSE="+dbus enchant +hunspell screencast +spell wayland webkit +X"
+IUSE="+dbus enchant +hunspell screencast +spell wayland +X"
 REQUIRED_USE="
        spell? (
                ^^ ( enchant hunspell )
        )
-       webkit? ( dbus )
 "
 
 RDEPEND="
@@ -55,7 +54,6 @@ RDEPEND="
        enchant? ( app-text/enchant:= )
        hunspell? ( >=app-text/hunspell-1.7:= )
        wayland? ( kde-frameworks/kwayland:= )
-       webkit? ( net-libs/webkit-gtk:= )
        X? ( x11-libs/libxcb:= )
 "
 DEPEND="${RDEPEND}
@@ -91,6 +89,11 @@ src_prepare() {
        sed -i 's/DESKTOP_APP_USE_PACKAGED/NO_ONE_WILL_EVER_SET_THIS/' \
                cmake/external/rlottie/CMakeLists.txt || die
 
+       # fix linking with missing libdl (introduced in 3.2.0->3.2.4 upgrade,
+       #  not sure if thanks to removing the -pie flag in the cmakelists...)
+       sed -i 's/${JEMALLOC_LINK_LIBRARIES}/& dl/' \
+               cmake/external/jemalloc/CMakeLists.txt || die
+
        cmake_src_prepare
 }
 
@@ -104,7 +107,6 @@ src_configure() {
                -DDESKTOP_APP_DISABLE_X11_INTEGRATION=$(usex X no yes)
                -DDESKTOP_APP_DISABLE_WAYLAND_INTEGRATION=$(usex wayland no yes)
                -DDESKTOP_APP_DISABLE_DBUS_INTEGRATION=$(usex dbus no yes)
-               -DDESKTOP_APP_DISABLE_WEBKITGTK=$(usex webkit no yes)
                -DDESKTOP_APP_DISABLE_SPELLCHECK=$(usex spell no yes)  # 
enables hunspell (recommended)
                -DDESKTOP_APP_USE_ENCHANT=$(usex enchant)  # enables enchant 
and disables hunspell
        )
@@ -144,4 +146,5 @@ pkg_postinst() {
                ewarn "Versions of dev-qt/qtcore lower than 5.15.2-r10 might 
cause telegram"
                ewarn "to crash when pasting big images from the clipboard."
        fi
+       optfeature "shop payment support" net-libs/webkit-gtk
 }

Reply via email to